> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns locked assets statistics for given address



## OpenAPI

````yaml /dln-details/swagger/monitoring.json get /api/Satistics/{takerAddress}/lockedAssets
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/Satistics/{takerAddress}/lockedAssets:
    get:
      tags:
        - Satistics
      summary: Returns locked assets statistics for given address
      operationId: Satistics_GetLockedAssets
      parameters:
        - name: takerAddress
          in: path
          description: taker address [hex or base58]
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LockedAssetChainDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    LockedAssetChainDTO:
      type: object
      properties:
        chainId:
          $ref: '#/components/schemas/IntPropertyDTO'
        lockedTokens:
          type: array
          items:
            $ref: '#/components/schemas/LockedAssetTokenDTO'
          nullable: true
      additionalProperties: false
    InvalidInputDataResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 400
          format: int32
      additionalProperties: false
      description: Information about bad input params
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: >-
            Error code, if differs from response code (if !=422) indicates
            unique id of the error that can be used for error's handling
            automation on client side
          format: int32
      additionalProperties: false
      description: Information about error, occurred in the application
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 500
          format: int32
      additionalProperties: false
      description: Information about an internal server error
    IntPropertyDTO:
      type: object
      properties:
        bytesValue:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        bigIntegerValue:
          type: number
          description: Integer representation of the property value
          format: int64
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false
    LockedAssetTokenDTO:
      type: object
      properties:
        tokenAddress:
          $ref: '#/components/schemas/AddressPropertyDTO'
        tokenMetadata:
          $ref: '#/components/schemas/MetadataDTO'
        amount:
          type: number
          description: Total amount locked
          format: int64
        tokenAmount:
          type: number
          description: Amount\decimal
          format: double
          nullable: true
        dstChainsLockedAmounts:
          type: array
          items:
            $ref: '#/components/schemas/DstChainLockedAmountDTO'
          description: Amount grouped by destination chains
          nullable: true
      additionalProperties: false
    AddressPropertyDTO:
      type: object
      properties:
        Base64Value:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false
    MetadataDTO:
      type: object
      properties:
        decimals:
          type: integer
          description: Decimals of the token
          format: int32
        name:
          type: string
          description: Name of the token
          nullable: true
        symbol:
          type: string
          description: Symbol of the token
          nullable: true
        logoURI:
          type: string
          description: URI of the token's logo
          nullable: true
      additionalProperties: false
      description: Token metadata DTO
    DstChainLockedAmountDTO:
      type: object
      properties:
        targetChainId:
          $ref: '#/components/schemas/IntPropertyDTO'
        dstChainAmount:
          type: number
          description: Total amount locked
          format: int64
          nullable: true
        dstChainTokenAmount:
          type: number
          description: DstChainAmount\decimal
          format: double
          nullable: true
        ordersToUnlock:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/StringPropertyDTO'
              - $ref: '#/components/schemas/TransactionHashPropertyDto'
          description: Ids of the orders that the amount is locked in
          nullable: true
      additionalProperties: false
    StringPropertyDTO:
      type: object
      properties:
        bytesValue:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false
    TransactionHashPropertyDto:
      type: object
      allOf:
        - $ref: '#/components/schemas/StringPropertyDTO'
      properties:
        stringValue:
          type: string
          description: String representation of the transaction hash value
          nullable: true
          readOnly: true
      additionalProperties: false
      description: Transaction Hash property

````